Bug 220924

Summary: glibc detected with yum install glom
Product: [Fedora] Fedora Reporter: Rudolf Kastl <che666>
Component: shared-mime-infoAssignee: Bastien Nocera <bnocera>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: bnocera
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-06-26 03:42:24 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Rudolf Kastl 2006-12-28 17:24:43 EST
Description of problem:

backtrace when doing yum install glom

Version-Release number of selected component (if applicable):
2.5-3

How reproducible:
always

Steps to Reproduce:
1. yum install glom
2.
3.
  
Actual results:
  Installing: glom                         ######################### [1/1] 
*** glibc detected *** update-mime-database: double free or corruption (!prev):
0x08fcae60 ***
======= Backtrace: =========
/lib/libc.so.6[0x49370efd]
/lib/libc.so.6(cfree+0x90)[0x49374550]
/usr/lib/libxml2.so.2(xmlFreeNodeList+0x11d)[0x5675f9d]
/usr/lib/libxml2.so.2(xmlFreeNodeList+0x96)[0x5675f16]
/usr/lib/libxml2.so.2(xmlFreeNodeList+0x96)[0x5675f16]
/usr/lib/libxml2.so.2(xmlFreeProp+0x52)[0x56760d2]
/usr/lib/libxml2.so.2(xmlFreePropList+0x1b)[0x567633b]
/usr/lib/libxml2.so.2(xmlFreeNodeList+0xba)[0x5675f3a]
/usr/lib/libxml2.so.2(xmlFreeNodeList+0x96)[0x5675f16]
/usr/lib/libxml2.so.2(xmlFreeNodeList+0x96)[0x5675f16]
/usr/lib/libxml2.so.2(xmlFreeDoc+0xcb)[0x5675d3b]
update-mime-database[0x804c990]
update-mime-database[0x804daae]
/lib/libc.so.6(__libc_start_main+0xdc)[0x49320f2c]
update-mime-database[0x8049931]
======= Memory map: ========
002c2000-002c3000 r-xp 002c2000 00:00 0          [vdso]
00d3b000-00d3d000 r-xp 00000000 fd:00 2448012    /lib/libdl-2.5.so
00d3d000-00d3e000 r-xp 00001000 fd:00 2448012    /lib/libdl-2.5.so
00d3e000-00d3f000 rwxp 00002000 fd:00 2448012    /lib/libdl-2.5.so
00d41000-00d53000 r-xp 00000000 fd:00 754290     /usr/lib/libz.so.1.2.3
00d53000-00d54000 rwxp 00011000 fd:00 754290     /usr/lib/libz.so.1.2.3
00de7000-00df2000 r-xp 00000000 fd:00 2448095    /lib/libgcc_s-4.1.1-20061011.so.1
00df2000-00df3000 rwxp 0000a000 fd:00 2448095    /lib/libgcc_s-4.1.1-20061011.so.1
04c0a000-04ca7000 r-xp 00000000 fd:00 2448008    /lib/libglib-2.0.so.0.1200.3
04ca7000-04ca8000 rwxp 0009c000 fd:00 2448008    /lib/libglib-2.0.so.0.1200.3
05635000-05762000 r-xp 00000000 fd:00 754981     /usr/lib/libxml2.so.2.6.27
05762000-05767000 rwxp 0012c000 fd:00 754981     /usr/lib/libxml2.so.2.6.27
05767000-05768000 rwxp 05767000 00:00 0 
08048000-08050000 r-xp 00000000 fd:00 4773358    /usr/bin/update-mime-database
08050000-08051000 rwxp 00008000 fd:00 4773358    /usr/bin/update-mime-database
08ed1000-11e29000 rwxp 08ed1000 00:00 0 
4893c000-48955000 r-xp 00000000 fd:00 2455666    /lib/ld-2.5.so
48955000-48956000 r-xp 00018000 fd:00 2455666    /lib/ld-2.5.so
48956000-48957000 rwxp 00019000 fd:00 2455666    /lib/ld-2.5.so
4930b000-49442000 r-xp 00000000 fd:00 2455667    /lib/libc-2.5.so
49442000-49444000 r-xp 00137000 fd:00 2455667    /lib/libc-2.5.so
49444000-49445000 rwxp 00139000 fd:00 2455667    /lib/libc-2.5.so
49445000-49448000 rwxp 49445000 00:00 0 
4944a000-4946f000 r-xp 00000000 fd:00 2455674    /lib/libm-2.5.so
4946f000-49470000 r-xp 00024000 fd:00 2455674    /lib/libm-2.5.so
49470000-49471000 rwxp 00025000 fd:00 2455674    /lib/libm-2.5.so
49479000-4948c000 r-xp 00000000 fd:00 2455669    /lib/libpthread-2.5.so
4948c000-4948d000 r-xp 00012000 fd:00 2455669    /lib/libpthread-2.5.so
4948d000-4948e000 rwxp 00013000 fd:00 2455669    /lib/libpthread-2.5.so
4948e000-49490000 rwxp 4948e000 00:00 0 
496d3000-496da000 r-xp 00000000 fd:00 2455670    /lib/librt-2.5.so
496da000-496db000 r-xp 00006000 fd:00 2455670    /lib/librt-2.5.so
496db000-496dc000 rwxp 00007000 fd:00 2455670    /lib/librt-2.5.so
b7e00000-b7e21000 rw-p b7e00000 00:00 0 
b7e21000-b7f00000 ---p b7e21000 00:00 0 
b7f5d000-b7f60000 rw-p b7f5d000 00:00 0 
b7f78000-b7f79000 rw-p b7f78000 00:00 0 
b7f79000-b7f80000 r--s 00000000 fd:00 4772258    /usr/lib/gconv/gconv-modules.cache
b7f80000-b7f81000 rw-p b7f80000 00:00 0 
bfb7a000-bfb90000 rw-p bfb7a000 00:00 0          [stack]
/var/tmp/rpm-tmp.88900: line 1: 14430 Abgebrochen            
update-mime-database /usr/share/mime >/dev/null 2>&1

Installed: glom.i386 0:1.2.2-1.fc6
Complete!


Expected results:
exit 0

Additional info:
just ask
Comment 1 Jakub Jelinek 2006-12-28 17:31:44 EST
glibc detected a bug in the application.  Most probably the bug is
in update-mime-database, running it under valgrind, ElectricFence etc.
should tell more.
Comment 2 Bastien Nocera 2007-02-01 10:18:22 EST
Could you please get a backtrace of the crash?
Please follow the instructions at:
http://fedoraproject.org/wiki/StackTraces
Comment 3 Rudolf Kastl 2007-06-26 03:42:24 EDT
actually it seems to have been caused by broken ram chips.